{
  "name": "eos-chat",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "axios": "^0.18.0",
    "element-ui": "^2.4.11",
    "eosjs": "^16.0.9",
    "eslint-plugin-html": "^5.0.0",
    "js-base64": "^2.5.1",
    "number-precision": "^1.2.1",
    "qs": "^6.5.2",
    "scatter-js": "^2.5.2",
    "scatterjs-core": "^2.5.0",
    "scatterjs-plugin-eosjs": "^1.4.0",
    "scroll-into-view-if-needed": "^2.2.20",
    "vue": "^2.5.17",
    "vue-clipboard2": "^0.2.1",
    "vue-i18n": "^8.1.0",
    "vuebar": "0.0.20",
    "vuex": "^3.0.1",
    "yorkie": "^2.0.0"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^3.2.0",
    "@vue/cli-plugin-eslint": "^3.2.2",
    "@vue/cli-service": "^3.2.0",
    "@vue/eslint-config-standard": "^4.0.0",
    "babel-eslint": "^10.0.1",
    "babel-plugin-component": "^1.1.1",
    "dayjs": "^1.7.8",
    "eslint": "^5.8.0",
    "eslint-plugin-vue": "^5.0.0",
    "lint-staged": "^8.1.0",
    "node-sass": "^4.10.0",
    "sass-loader": "^7.1.0",
    "vue-template-compiler": "^2.5.17"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended",
      "@vue/standard"
    ],
    "rules": {},
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "eslintIgnore": [
    "protected/**",
    "dist/**"
  ],
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "last 2 versions"
  ],
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.js": [
      "vue-cli-service lint",
      "git add"
    ],
    "*.vue": [
      "vue-cli-service lint",
      "git add"
    ]
  }
}
